<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GraftingTask](./bitburner.graftingtask.md) &gt; [completion](./bitburner.graftingtask.completion.md)

## GraftingTask.completion property

This promise resolves when the task is complete.

**Signature:**

```typescript
completion: Promise<void>;
```
